Bug 1279390 - <AutomationEngine> Class [System/Event/EmsEvent/OPENSTACK] not found in MiqAeDatastore
<AutomationEngine> Class [System/Event/EmsEvent/OPENSTACK] not found in MiqAe...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Lucy Fu
Marius Cornea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 06:09 EST by Marius Cornea
Modified: 2015-12-08 08:45 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:45:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
automation.log (510.75 KB, text/plain)
2015-11-09 09:23 EST, Marius Cornea
no flags Details

  None (edit)
Description Marius Cornea 2015-11-09 06:09:52 EST
Description of problem:
When trying to scale out an Openstack Platform Direct with an additional compute node the evm log shows the following error:
<AutomationEngine> Class [System/Event/EmsEvent/OPENSTACK] not found in MiqAeDatastore

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Deploy Openstack Platform Director
2. Scale out with an additional Compute node
3. Check evm.log

Actual results:
A bunch of such error messages show up:
ERROR -- : <AutomationEngine> Class [System/Event/EmsEvent/OPENSTACK] not found in MiqAeDatastore

Expected results:
No error would show up. 

Additional info:
The scale out eventually completes but I need to manually trigger refresh. It should be automatically triggered by the heat events.
Comment 2 mkanoor 2015-11-09 09:19:23 EST
Could you please provide the automation.log. It might be happening because of a missing instance in the Automate DB. It might be similar to https://bugzilla.redhat.com/show_bug.cgi?id=1277220
Which is being fixed.
Comment 3 Marius Cornea 2015-11-09 09:23 EST
Created attachment 1091760 [details]
automation.log

Attaching automation.log
Comment 5 Marius Cornea 2015-11-20 13:32:22 EST
Verified in 5.5.0.11
Comment 7 errata-xmlrpc 2015-12-08 08:45:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.